package sinhalaocr;

class Char
{
	private int charNo,char_start_x,char_end_x,char_start_y,char_end_y,char_height,char_width;
	private int char_data[];

	public Char(int charNo,int start_x, int end_x,int start_y,int end_y){
			this.charNo=charNo;
			this.char_start_x=start_x;
			this.char_end_x=end_x;
			this.char_start_y=start_y;
			this.char_end_y=end_y;
			//this.char_height=(end_y-start_y)+1;
			//this.char_width=(end_x-start_x)+1;
			this.char_height=(end_y-start_y);
			this.char_width=(end_x-start_x);
	}
	public Char(int charData[], int h, int w){
		this.char_data=charData;
		this.char_height=h;
		this.char_width=w;
	}
	public int getWidth(){
		return this.char_width;
	}
	public int getHeight(){
		return this.char_height;
	}
	public int[] getCharData(){
		return this.char_data;
	}

	public void extractLinePixelValues(int pixels[],int line_width){
		this.char_data=new int[this.char_height*this.char_width];
		int k=0;
		int chLength=this.char_start_x+this.char_width;
		for(int i=0;i<this.char_height;i++)
			for(int j=this.char_start_x;j<chLength;j++)
				char_data[k++]=pixels[i*line_width+j];

	}
}
