package sinhalaocr;

import java.io.RandomAccessFile;
import java.io.IOException;
import java.util.ArrayList;

class OCRN {

  public static void Normalizer(ArrayList in, RandomAccessFile raf) {

    try {

      /** Object for narmalize unicode data */
      Normalizer nm = new Normalizer(in);

      /** Normalize unicode data by 4 parsers */
      nm.normalize1();
      nm.normalize2();
      nm.cleanUp();
      nm.normalize3();
      nm.normalize4();

      /** Convert data to smallendian format */
      ArrayList vs = passer(in);

      /** Write output data to the file */
      Integer forData;
      for (int i = 0; i < vs.size(); i++) {
        forData = Integer.valueOf(vs.get(i).toString(), 16);
        raf.writeChar(forData.intValue());
      } // write result file

    } //try
    catch (IOException e) {
      System.out.println(e.toString());
    }
  } //main

  /** Function to convert unicode as smallendian */
  private static ArrayList passer(ArrayList v) {
    ArrayList result = new ArrayList();
    String Btemp = "";
    String Atemp = "";
    for (int i = 0; i < v.size(); i++) {
      Btemp = v.get(i).toString();
      Atemp = Btemp.substring(2);
      Atemp = Atemp.concat(Btemp.substring(0, 2));
      result.add(Atemp);
    }
    return result;
  } //passer
} //class