package sinhalaocr;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.border.*;
import com.borland.jbcl.layout.*;
import java.io.RandomAccessFile;
import java.io.File;
import java.util.ArrayList;

/**
 * <p>Title: SinhalaOCR</p>
 * <p>Description: Covert images to text files</p>
 * <p>Copyright: Copyright (c) 2005</p>
 * <p>Company: UCSC - LTRL</p>
 * @author not attributable
 * @version 1.0
 */

public class SOCRFrame
    extends JFrame {
  JPanel contentPane;
  BorderLayout borderLayout1 = new BorderLayout();
  JLabel jLabelLeft = new JLabel();
  JLabel jLabelRight = new JLabel();
  JLabel jLabelBottom = new JLabel();
  JLabel jLabel1 = new JLabel();
  Border border1;
  TitledBorder titledBorder1;
  Border border2;
  TitledBorder titledBorder2;
  Border border3;
  TitledBorder titledBorder3;
  Border border4;
  TitledBorder titledBorder4;
  Border border5;
  TitledBorder titledBorder5;
  Border border6;
  TitledBorder titledBorder6;
  Border border7;
  Border border8;
  TitledBorder titledBorder7;
  Border border9;
  TitledBorder titledBorder8;
  Border border10;
  TitledBorder titledBorder9;
  Border border11;
  TitledBorder titledBorder10;
  Border border12;
  TitledBorder titledBorder11;
  Border border13;
  Border border14;
  Border border15;
  Border border16;
  TitledBorder titledBorder12;
  Border border17;
  TitledBorder titledBorder13;
  Border border18;
  JPanel jPanelCenter = new JPanel();
  BorderLayout borderLayout2 = new BorderLayout();
  JLabel jLabel2 = new JLabel();
  JLabel jLabel3 = new JLabel();
  JPanel jPanel1 = new JPanel();
  GridLayout gridLayout1 = new GridLayout();
  JPanel jPanel2 = new JPanel();
  Border border19;
  TitledBorder titledBorder14;
  JPanel jPanel3 = new JPanel();
  Border border20;
  TitledBorder titledBorder15;
  JPanel jPanel4 = new JPanel();
  Border border21;
  TitledBorder titledBorder16;
  JPanel jPanel5 = new JPanel();
  Border border22;
  TitledBorder titledBorder17;
  Border border23;
  TitledBorder titledBorder18;
  JPanel jPanel8 = new JPanel();
  JPanel jPanel6 = new JPanel();
  JPanel jPanel7 = new JPanel();
  FlowLayout flowLayout1 = new FlowLayout();
  JButton jButton_Open = new JButton();
  Border border24;
  TitledBorder titledBorder19;
  GridLayout gridLayout2 = new GridLayout();
  JLabel jLabelOpenFilePath = new JLabel();
  FlowLayout flowLayout2 = new FlowLayout();
  JButton jButton_Save = new JButton();
  JPanel jPanel9 = new JPanel();
  Border border25;
  TitledBorder titledBorder20;
  GridLayout gridLayout3 = new GridLayout();
  JLabel jLabelOutputPath = new JLabel();
  Border border26;
  TitledBorder titledBorder21;
  Border border27;
  TitledBorder titledBorder22;
  Border border28;
  TitledBorder titledBorder23;
  JLabel jLabel13 = new JLabel();
  JButton jButton_Reset = new JButton();
  JButton jButton_Exit = new JButton();
  JPanel jPanel11 = new JPanel();
  JPanel jPanel12 = new JPanel();
  FlowLayout flowLayout3 = new FlowLayout();
  JButton jButton_Recognize = new JButton();
  Border border29;
  TitledBorder titledBorder24;
  BorderLayout borderLayout3 = new BorderLayout();
  JLabel jLabel4 = new JLabel();
  JLabel jLabel5 = new JLabel();
  JComboBox jComboBoxFontList = new JComboBox();
  BorderLayout borderLayout4 = new BorderLayout();
  JLabel jLabel6 = new JLabel();
  JLabel jLabel7 = new JLabel();
  JLabel jLabel8 = new JLabel();
  JLabel jLabel9 = new JLabel();
  JPanel jPanel10 = new JPanel();
  Border border30;
  TitledBorder titledBorder25;
  GridLayout gridLayout4 = new GridLayout();
  Border border31;
  JPanel jPanel13 = new JPanel();
  JPanel jPanel14 = new JPanel();
  Border border32;
  GridLayout gridLayout5 = new GridLayout();
  JProgressBar jProgressBar1 = new JProgressBar();
  GridLayout gridLayout6 = new GridLayout();
  JLabel jLabelStatus = new JLabel();
  JFileChooser jf = new JFileChooser();

  File inputFiles[];
  String inputPath = "";
  String outputPath = ".\\Results\\";
  File MakeDir = new File(outputPath);
  String resourcePath = ".\\Resources\\";
  String fontPath = resourcePath;
  String mappingListpath = resourcePath.concat("MappingList.res");
  RandomAccessFile map;
  ArrayList mapNames = new ArrayList(1);
  ArrayList mapCodes = new ArrayList(1);
  Thread task;
  JButton jButton_Abort = new JButton();

  //Construct the frame
  public SOCRFrame() {
    enableEvents(AWTEvent.WINDOW_EVENT_MASK);
    try {
      jbInit();
    }
    catch (Exception e) {
      e.printStackTrace();
    }
  }

  //Component initialization
  private void jbInit() throws Exception {
    contentPane = (JPanel)this.getContentPane();
    border1 = new EtchedBorder(EtchedBorder.RAISED, Color.white,
                               new Color(165, 163, 151));
    titledBorder1 = new TitledBorder(border1, "Opened File");
    border2 = BorderFactory.createEmptyBorder();
    titledBorder2 = new TitledBorder(new EtchedBorder(EtchedBorder.RAISED,
        Color.white, new Color(165, 163, 151)), "Opened File");
    border3 = new EtchedBorder(EtchedBorder.RAISED, Color.white,
                               new Color(165, 163, 151));
    titledBorder3 = new TitledBorder(border3, "Opened File");
    border4 = new EtchedBorder(EtchedBorder.RAISED, Color.white,
                               new Color(165, 163, 151));
    titledBorder4 = new TitledBorder(border4, "Opened File");
    border5 = new EtchedBorder(EtchedBorder.RAISED, Color.white,
                               new Color(165, 163, 151));
    titledBorder5 = new TitledBorder(border5, "Output File(s) path");
    border6 = new EtchedBorder(EtchedBorder.RAISED, Color.white,
                               new Color(165, 163, 151));
    titledBorder6 = new TitledBorder(border6, "Step 02");
    border7 = BorderFactory.createEmptyBorder();
    border8 = BorderFactory.createEmptyBorder();
    titledBorder7 = new TitledBorder(new EtchedBorder(EtchedBorder.RAISED,
        Color.white, new Color(165, 163, 151)), "Status");
    border9 = new EtchedBorder(EtchedBorder.RAISED, Color.white,
                               new Color(165, 163, 151));
    titledBorder8 = new TitledBorder(border9, "Opened File");
    border10 = new EtchedBorder(EtchedBorder.RAISED, Color.white,
                                new Color(165, 163, 151));
    titledBorder9 = new TitledBorder(new EtchedBorder(EtchedBorder.RAISED,
        Color.white, new Color(165, 163, 151)), "Opened File");
    border11 = new EtchedBorder(EtchedBorder.RAISED, Color.white,
                                new Color(165, 163, 151));
    titledBorder10 = new TitledBorder(border11, "Opened File");
    border12 = new EtchedBorder(EtchedBorder.RAISED, Color.white,
                                new Color(165, 163, 151));
    titledBorder11 = new TitledBorder(border12, "Output file path");
    border13 = BorderFactory.createLineBorder(Color.white, 1);
    border14 = BorderFactory.createLineBorder(Color.white, 1);
    border15 = new TitledBorder(new EtchedBorder(EtchedBorder.RAISED,
                                                 Color.white,
                                                 new Color(165, 163, 151)),
                                "Output File(s) path");
    border16 = new EtchedBorder(EtchedBorder.RAISED, Color.white,
                                new Color(165, 163, 151));
    titledBorder12 = new TitledBorder(border16, "Opened File");
    border17 = new EtchedBorder(EtchedBorder.RAISED, Color.white,
                                new Color(165, 163, 151));
    titledBorder13 = new TitledBorder(border17, "Status");
    border18 = new TitledBorder(new EtchedBorder(EtchedBorder.RAISED,
                                                 Color.white,
                                                 new Color(165, 163, 151)),
                                "Output Fle Path");
    border19 = BorderFactory.createBevelBorder(BevelBorder.RAISED, Color.white,
                                               Color.white,
                                               new Color(115, 114, 105),
                                               new Color(165, 163, 151));
    titledBorder14 = new TitledBorder(new EtchedBorder(EtchedBorder.RAISED,
        Color.white, new Color(165, 163, 151)), "Step 01");
    border20 = new EtchedBorder(EtchedBorder.RAISED, Color.white,
                                new Color(165, 163, 151));
    titledBorder15 = new TitledBorder(border20, "Step 02");
    border21 = new EtchedBorder(EtchedBorder.RAISED, Color.white,
                                new Color(165, 163, 151));
    titledBorder16 = new TitledBorder(border21, "Step 03");
    border22 = new EtchedBorder(EtchedBorder.RAISED, Color.white,
                                new Color(165, 163, 151));
    titledBorder17 = new TitledBorder(border22, "Step 04");
    border23 = BorderFactory.createLineBorder(Color.black, 2);
    titledBorder18 = new TitledBorder(new EtchedBorder(EtchedBorder.RAISED,
        Color.white, new Color(165, 163, 151)), "Opened File");
    border24 = new EtchedBorder(EtchedBorder.RAISED, Color.white,
                                new Color(165, 163, 151));
    titledBorder19 = new TitledBorder(border24, "Opened File");
    border25 = new EtchedBorder(EtchedBorder.RAISED, Color.white,
                                new Color(165, 163, 151));
    titledBorder20 = new TitledBorder(new EtchedBorder(EtchedBorder.RAISED,
        Color.white, new Color(165, 163, 151)), "Output File(s) Path");
    border26 = new EtchedBorder(EtchedBorder.RAISED, Color.white,
                                new Color(165, 163, 151));
    titledBorder21 = new TitledBorder(border26, "Status");
    border27 = BorderFactory.createEmptyBorder();
    titledBorder22 = new TitledBorder(new EtchedBorder(EtchedBorder.RAISED,
        Color.white, new Color(165, 163, 151)), "Select source file font");
    border28 = new EtchedBorder(EtchedBorder.RAISED, Color.white,
                                new Color(165, 163, 151));
    titledBorder23 = new TitledBorder(border28, "Select Source file font");
    border29 = new EtchedBorder(EtchedBorder.RAISED, Color.white,
                                new Color(165, 163, 151));
    titledBorder24 = new TitledBorder(border29,
                                      "Select source file fort from the list");
    border30 = new EtchedBorder(EtchedBorder.RAISED, Color.white,
                                new Color(165, 163, 151));
    titledBorder25 = new TitledBorder(border30, "Status");
    border31 = new EtchedBorder(EtchedBorder.RAISED, Color.white,
                                new Color(165, 163, 151));
    border32 = new EtchedBorder(EtchedBorder.RAISED, Color.white,
                                new Color(165, 163, 151));
    jLabelLeft.setText("        ");
    contentPane.setLayout(borderLayout1);
    this.setResizable(false);
    this.setSize(new Dimension(427, 558));
    this.setTitle("Sinhala OCR");
    jLabelRight.setVerifyInputWhenFocusTarget(true);
    jLabelRight.setText("        ");
    jLabelBottom.setEnabled(true);
    jLabelBottom.setMaximumSize(new Dimension(427, 48));
    jLabelBottom.setMinimumSize(new Dimension(427, 48));
    jLabelBottom.setPreferredSize(new Dimension(427, 48));
    jLabelBottom.setToolTipText("");
    jLabelBottom.setIcon(new ImageIcon(SOCRFrame.class.getResource("Header2.jpg")));
    jLabelBottom.setText("       ");
    jLabel1.setIcon(new ImageIcon(SOCRFrame.class.getResource("header.jpg")));
    jLabel1.setText("");
    jPanelCenter.setLayout(borderLayout2);
    jLabel2.setText("           ");
    jLabel3.setFont(new java.awt.Font("Dialog", 0, 15));
    jLabel3.setRequestFocusEnabled(true);
    jLabel3.setText("   ");
    jPanel1.setLayout(gridLayout1);
    gridLayout1.setRows(4);
    jPanel2.setLayout(null);
    jPanel3.setLayout(null);
    jPanel4.setLayout(null);
    jPanel5.setLayout(borderLayout4);
    jPanel6.setLayout(flowLayout1);
    flowLayout1.setAlignment(FlowLayout.LEFT);
    jButton_Open.setFocusPainted(false);
    jButton_Open.setText("Open");
    jButton_Open.addActionListener(new SOCRFrame_jButton_Open_actionAdapter(this));
    jPanel7.setBorder(titledBorder19);
    jPanel7.setBounds(new Rectangle(1, 39, 366, 50));
    jPanel7.setLayout(gridLayout2);
    jPanel6.setBounds(new Rectangle(1, 1, 366, 32));
    jPanel8.setLayout(flowLayout2);
    flowLayout2.setAlignment(FlowLayout.LEFT);
    jButton_Save.setEnabled(false);
    jButton_Save.setText("Save");
    jButton_Save.addActionListener(new SOCRFrame_jButton_Save_actionAdapter(this));
    jPanel9.setBorder(titledBorder20);
    jPanel9.setBounds(new Rectangle(1, 38, 365, 53));
    jPanel9.setLayout(gridLayout3);
    jPanel8.setBounds(new Rectangle(1, 1, 377, 32));
    jLabel13.setRequestFocusEnabled(true);
    jLabel13.setText("                               ");
    jButton_Reset.setEnabled(false);
    jButton_Reset.setText("Reset");
    jButton_Reset.addActionListener(new SOCRFrame_jButton_Reset_actionAdapter(this));
    jButton_Exit.setText("Exit");
    jButton_Exit.addActionListener(new SOCRFrame_jButton_Exit_actionAdapter(this));
    jLabelOpenFilePath.setText("");
    jLabelOutputPath.setText("");
    jPanel12.setBounds(new Rectangle(1, 60, 372, 39));
    jPanel12.setLayout(flowLayout3);
    jPanel11.setBorder(titledBorder24);
    jPanel11.setBounds(new Rectangle(1, 2, 365, 58));
    jPanel11.setLayout(borderLayout3);
    flowLayout3.setAlignment(FlowLayout.LEFT);
    jButton_Recognize.setEnabled(false);
    jButton_Recognize.setText("Process");
    jButton_Recognize.addActionListener(new
        SOCRFrame_jButton_Recognize_actionAdapter(this));
    jPanel4.setBorder(null);
    jLabel4.setText("                                                    ");
    jLabel5.setFont(new java.awt.Font("Dialog", 0, 8));
    jLabel5.setText(" ");
    jPanel5.setMaximumSize(new Dimension(32767, 32767));
    jLabel6.setToolTipText("");
    jLabel6.setText(" ");
    jLabel7.setText("   ");
    jPanel10.setBorder(titledBorder25);
    jPanel10.setLayout(gridLayout4);
    jLabel9.setFont(new java.awt.Font("Dialog", 0, 6));
    jLabel9.setText(" ");
    jLabel8.setText("");
    gridLayout4.setRows(3);
    jPanel14.setBorder(border32);
    jPanel14.setLayout(gridLayout5);
    jPanel13.setLayout(gridLayout6);
    jLabelStatus.setText("");
    jButton_Abort.setEnabled(false);
    jButton_Abort.setText("Abort");
    jButton_Abort.addActionListener(new SOCRFrame_jButton_Abort_actionAdapter(this));
    contentPane.add(jLabelLeft, BorderLayout.WEST);
    contentPane.add(jLabelRight, BorderLayout.EAST);
    contentPane.add(jLabelBottom, BorderLayout.SOUTH);
    contentPane.add(jLabel1, BorderLayout.NORTH);
    contentPane.add(jPanelCenter, BorderLayout.CENTER);
    jPanelCenter.add(jLabel2, BorderLayout.NORTH);
    jPanelCenter.add(jLabel3, BorderLayout.SOUTH);
    jPanelCenter.add(jPanel1, BorderLayout.CENTER);
    jPanel1.add(jPanel2, null);
    jPanel1.add(jPanel3, null);
    jPanel1.add(jPanel4, null);
    jPanel4.add(jPanel11, null);
    jPanel11.add(jLabel4, BorderLayout.EAST);
    jPanel11.add(jLabel5, BorderLayout.SOUTH);
    jPanel11.add(jComboBoxFontList, BorderLayout.CENTER);
    jPanel4.add(jPanel12, null);
    jPanel12.add(jButton_Recognize, null);
    jPanel1.add(jPanel5, null);
    jPanel5.add(jLabel6, BorderLayout.WEST);
    jPanel5.add(jLabel7, BorderLayout.EAST);
    jPanel5.add(jLabel8, BorderLayout.SOUTH);
    jPanel5.add(jLabel9, BorderLayout.NORTH);
    jPanel5.add(jPanel10, BorderLayout.CENTER);
    jPanel10.add(jPanel13, null);
    jPanel13.add(jLabelStatus, null);
    jPanel10.add(jPanel14, null);
    jPanel14.add(jProgressBar1, null);
    jPanel3.add(jPanel8, null);
    jPanel2.add(jPanel6, null);
    jPanel6.add(jButton_Open, null);
    jPanel6.add(jLabel13, null);
    jPanel6.add(jButton_Abort, null);
    jPanel6.add(jButton_Reset, null);
    jPanel6.add(jButton_Exit, null);
    jPanel2.add(jPanel7, null);
    jPanel7.add(jLabelOpenFilePath, null);
    jPanel8.add(jButton_Save, null);
    jPanel3.add(jPanel9, null);
    jPanel9.add(jLabelOutputPath, null);

    map = new RandomAccessFile(mappingListpath, "r");
    String line = map.readLine();
    while (true) {
      mapNames.add(line.substring(0, line.length() - 4));
      mapCodes.add(line.substring(line.length() - 3));
      line = map.readLine();
      if (line == null)
        break;
    } //while
    for (int i = 0; i < mapNames.size(); i++)
      jComboBoxFontList.addItem(mapNames.get(i).toString());
  }

  void reset() {
    jLabelOpenFilePath.setText("");
    jLabelOutputPath.setText("");
    jLabelStatus.setText("");
    jButton_Reset.setEnabled(false);
    jButton_Recognize.setEnabled(false);
    jButton_Save.setEnabled(false);
    jButton_Abort.setEnabled(false);
    jButton_Open.setEnabled(true);
  } //reset

  //Overridden so we can exit when window is closed
  protected void processWindowEvent(WindowEvent e) {
    super.processWindowEvent(e);
    if (e.getID() == WindowEvent.WINDOW_CLOSING) {
      System.exit(0);
    }
  }

  void jButton_Exit_actionPerformed(ActionEvent e) {
    System.exit(1000);
  }

  void jButton_Open_actionPerformed(ActionEvent e) {
    jButton_Reset.setEnabled(true);
    jf.setFileFilter(new JpegFilter());
    jf.setMultiSelectionEnabled(true);
    int jfVal = jf.showOpenDialog(this);
    if (jfVal == jf.APPROVE_OPTION) {
      inputFiles = jf.getSelectedFiles();
      jLabelOpenFilePath.setText(inputFiles[0].getAbsolutePath());
      jButton_Recognize.setEnabled(true);
      if (!MakeDir.exists())
        MakeDir.mkdir();
      File tempName = new File(inputFiles[0].getAbsolutePath());
      try {
        outputPath = MakeDir.getCanonicalPath().concat("\\" +
            tempName.getName().substring(0, tempName.getName().length() - 4).
            concat(".txt"));

        jLabelOutputPath.setText(outputPath);
        jButton_Save.setEnabled(true);
      }
      catch (java.io.IOException ie) {}
      return;
    }
  }

  void jButton_Save_actionPerformed(ActionEvent e) {
    jf.setFileFilter(new TextFileFilter());
    jf.setSelectedFile(new File(outputPath));
    if (jf.showSaveDialog(this) == jf.APPROVE_OPTION) {
      outputPath = jf.getSelectedFile().getAbsolutePath();
      jLabelOutputPath.setText(outputPath);
    }
  }

  void jButton_Reset_actionPerformed(ActionEvent e) {
    reset();
  }

  void outputPathProcess(int i) {
    if (i < inputFiles.length - 1) {
      outputPath = outputPath.substring(0,
                                        outputPath.lastIndexOf( (int)
          '\\'));
      outputPath = outputPath + "\\" +
          inputFiles[i+1].getName().substring(0,
                                                inputFiles[i+1].getName().length() -
                                                4).concat(".txt");
      jLabelOutputPath.setText(outputPath);
    }
  }

  void jButton_Recognize_actionPerformed(ActionEvent e) {

    jButton_Recognize.setEnabled(false);
    fontPath = resourcePath;
    fontPath = fontPath.concat(mapCodes.get(mapNames.indexOf(
        jComboBoxFontList.
        getSelectedItem().toString())).toString());
    jButton_Open.setEnabled(false);
    jButton_Save.setEnabled(false);
    jButton_Reset.setEnabled(false);
    jButton_Abort.setEnabled(true);
    task = new Thread() {
      int counter = 0;
      String viewer = "Processing";
      public void run() {
        int i = 0;
        while (true) {

          if (i == inputFiles.length)
            break;

          inputPath = inputFiles[i].getAbsolutePath();
          jProgressBar1.setIndeterminate(true);
          jLabelStatus.setText("File " + inputFiles[i].getName() +
                               " is being processed...");
          viewer = DocumentRec.charRec(inputPath, fontPath, outputPath);

          if (viewer.equals("OK")) {
            counter++;
            outputPathProcess(i);
            i++;
            continue;
          }

          if (viewer.equals("NOISE")) {
            jProgressBar1.setIndeterminate(false);
            jLabelStatus.setText("File " + inputFiles[i].getName() +
                                 " has not been completely processed!");
            JOptionPane.showMessageDialog(new SOCRFrame(),
                "This document has too much of noise!\nClean the document and retry.",
                "Massage!",
                JOptionPane.ERROR_MESSAGE);
            outputPathProcess(i);
            i++;
            continue;
          }
        } //for

        jProgressBar1.setIndeterminate(false);
        if(counter>0) {
          jLabelStatus.setText("Done!");
          String msg = counter + " file(s) have been processed out of " + i + " file(s).";
          JOptionPane.showMessageDialog(new SOCRFrame(),
                                        msg,
                                        "Massage!",
                                        JOptionPane.INFORMATION_MESSAGE);
        }

        jButton_Abort.setEnabled(false);
        jButton_Reset.setEnabled(true);

      } //run
    }; //thread
    task.start();
  }

  void jButton_Abort_actionPerformed(ActionEvent e) {
    jProgressBar1.setIndeterminate(false);
    if (task.isAlive())
      task.suspend();
    int k = JOptionPane.showConfirmDialog(this,
        "This will abort the converting process. "
        + "\nDo you want to abort?",
        "A Follow-up Question",
        JOptionPane.YES_NO_OPTION);
    if (k == JOptionPane.NO_OPTION) {
      jProgressBar1.setIndeterminate(true);
      task.resume();
    }
    if (k == JOptionPane.YES_OPTION) {
      task.stop();
      task = null;
      JOptionPane.showMessageDialog(this,
                                    "Converting process aborted by user !",
                                    "System Message - ",
                                    JOptionPane.WARNING_MESSAGE);
       jProgressBar1.setIndeterminate(false);
      jButton_Abort.setEnabled(false);
      jLabelStatus.setText("Aborted!");
      jButton_Reset.setEnabled(true);
    }

  }
}

class SOCRFrame_jButton_Exit_actionAdapter
    implements java.awt.event.ActionListener {
  SOCRFrame adaptee;

  SOCRFrame_jButton_Exit_actionAdapter(SOCRFrame adaptee) {
    this.adaptee = adaptee;
  }

  public void actionPerformed(ActionEvent e) {
    adaptee.jButton_Exit_actionPerformed(e);
  }
}

class SOCRFrame_jButton_Open_actionAdapter
    implements java.awt.event.ActionListener {
  SOCRFrame adaptee;

  SOCRFrame_jButton_Open_actionAdapter(SOCRFrame adaptee) {
    this.adaptee = adaptee;
  }

  public void actionPerformed(ActionEvent e) {
    adaptee.jButton_Open_actionPerformed(e);
  }
}

class SOCRFrame_jButton_Save_actionAdapter
    implements java.awt.event.ActionListener {
  SOCRFrame adaptee;

  SOCRFrame_jButton_Save_actionAdapter(SOCRFrame adaptee) {
    this.adaptee = adaptee;
  }

  public void actionPerformed(ActionEvent e) {
    adaptee.jButton_Save_actionPerformed(e);
  }
}

class SOCRFrame_jButton_Reset_actionAdapter
    implements java.awt.event.ActionListener {
  SOCRFrame adaptee;

  SOCRFrame_jButton_Reset_actionAdapter(SOCRFrame adaptee) {
    this.adaptee = adaptee;
  }

  public void actionPerformed(ActionEvent e) {
    adaptee.jButton_Reset_actionPerformed(e);
  }
}

class SOCRFrame_jButton_Recognize_actionAdapter
    implements java.awt.event.ActionListener {
  SOCRFrame adaptee;

  SOCRFrame_jButton_Recognize_actionAdapter(SOCRFrame adaptee) {
    this.adaptee = adaptee;
  }

  public void actionPerformed(ActionEvent e) {
    adaptee.jButton_Recognize_actionPerformed(e);
  }
}

class SOCRFrame_jButton_Abort_actionAdapter
    implements java.awt.event.ActionListener {
  SOCRFrame adaptee;

  SOCRFrame_jButton_Abort_actionAdapter(SOCRFrame adaptee) {
    this.adaptee = adaptee;
  }

  public void actionPerformed(ActionEvent e) {
    adaptee.jButton_Abort_actionPerformed(e);
  }
}